HTTP APIEndpoints
List sessions
GET
Lists sessions belonging to the caller's tenant in ascending ID order. Pass the last session ID as after to fetch the next page.
bearerheader
AuthorizationBearer <token>after?stringLast session ID from the previous page.
limit?integerMaximum number of items to return (JSON mode).
Range
1 <= value <= 1000Default
100List sessions
application/json- response
sessions*array<>curl -X GET 'http://127.0.0.1:8080/sessions' \ -H 'Authorization: Bearer <BRAIN_TOKEN>'{ "sessions": [ { "checkpoint": { "id": "string", "offset": 0, "time": "2019-08-24T14:15:22Z" }, "config": { "bindings": [ { "alias": "string", "executor": "string", "operations": [ "string" ], "parameters": null, "provider": "string", "runtime": [ { "description": "string", "input_schema": null, "name": "string", "output_schema": null } ] } ], "instructions": "string", "model": "string", "reasoning_effort": "string", "tools": [ "string" ] }, "created_at": "2019-08-24T14:15:22Z", "credential_bindings": [ "string" ], "descriptors": [ { "description": "string", "input_schema": null, "name": "string", "output_schema": null } ], "harness": "string", "id": "string", "status": "string", "updated_at": "2019-08-24T14:15:22Z" } ]}